QGIS Application - Bug report #4863
Should hidden layers be editable/selectable?
2012-01-23 09:34 AM - barryrowlingson -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 14693
Description

| was just confused when | thought | was editing a layer, but in fact | was dragging around features from identical features in a hidden
layer underneath because that hidden layer was selected in the layer legend. | could see the hidden features selected when dragging
them, which made me think | was dragging the corresponding visible feature, but then it seemed to snap back when | dropped it, whereas
what was happening was that the hidden feature went hidden again. By the time I'd worked out what was happening I'd dragged four or
five polygons on my hidden layer all over the place.

| can't think of any good use-case for wanting to edit layers that you have elected to not see. You hide them to get things out of the way,
and simplify things. The only thing you should be able to do with a hidden layer is unhide it. | think maybe you shouldn't even be able to
click and identify features in it either, which | think you can at the moment...

History

#1 - 2012-01-27 03:45 AM - Nathan Woodrow

+1 from me. This is a confusing action.

#2 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2013-09-22 01:49 AM - Giovanni Manghi

- Category set to Map Canvas

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Affected QGIS version changed from 1.7.3 to 2.0.1

#4 - 2015-03-04 02:42 PM - Antonio Locandro

You should be able to click and identify if you select 'Top Down' | use this all the time also in other software to hide rasters that once viewed clog the
machine and make it unresponsive. on the other statements | agree.

#5 - 2016-10-20 07:19 PM - Alessandro Sarretta

I think a possible use case where to use this function is when editing very complex features that cause slow rendering when you pan the map; having a
visible reference and light layer to edit something heavy behind could be maybe useful (never used anyway).

A possible solution could be to have a warning when one is editing a layer not visible in the canvas, so it is explicit and the user can check which layer is
selected in the legend.
#6 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#7 - 2018-03-01 12:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then
close the ticket. Thanks!

#8 - 2019-02-23 07:16 PM - Juirgen Fischer
- Description updated

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

#9 - 2019-04-03 02:36 AM - Alex Hajnal

Being able to edit hidden layers is very useful when working with remote sensing data. Specifically, being able to see source data (aerial image, LIDAR
relief, etc.) without it being obscured by the data being edited is invaluable.

| have a similar ticket open.
https://issues.qgis.org/issues/20420

